<div id="payment-seller">
  <div class="pa-6" id="hideBottomInput">
    <div class="flex items-center justify-start">
      <nuxt-link to="/admin/users">
        <p class="mb-0 font-medium text-neutral-500 d-none d-md-block">Users</p>
      </nuxt-link>
      <v-icon class="mx-3 d-none d-md-block"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium text-neutral-900">
        {{sellerDetail.name || sellerDetail.email}}
      </p>
    </div>
    <div class="mt-7">
      <div class="grid grid-cols-12 gap-4">
        <div class="col-span-12 md:col-span-8 flex items-center">
          <v-icon color="#111827" @click="$router.push('/admin/users')">
            mdi-arrow-left
          </v-icon>
          <div
            class="ml-7 bg-white rounded border border-solid border-gray-200 px-6 w-full py-3"
          >
            <div class="flex items-center">
              <!-- <div class="d-flex align-center" v-if="sellerDetail.type === 'paypal'">
                <img src="~/assets/images/paypal.png" alt="" width="36" height="36">
              </div>
              <div class="d-flex align-center" v-if="sellerDetail.type === 'stripe'">
                <img src="~/assets/images/stripe-payment.png" alt="" width="36" height="36">
              </div> -->
              <p class="mb-0 font-semibold text-neutral-900">
                {{sellerDetail && sellerDetail.name}}
              </p>
              <p class="mb-0 ml-2 text-neutral-900">
                {{sellerDetail && sellerDetail.email}}
              </p>
            </div>
          </div>
        </div>
        <div
          class="col-span-12 md:col-span-4 flex flex-wrap items-center gap-4"
        >
          <div
            class="bg-white rounded py-2 px-3 border border-solid border-blue-500 flex items-center md:h-full"
          >
            <v-switch
              inset
              class="mt-0"
              v-model="sellerDetail.isActive"
              @change="onChangeStatus(sellerDetail)"
            >
            </v-switch>
            <p
              class="mb-0 ml-2 text-blue-500 font-semibold"
              v-if="sellerDetail.isActive"
            >
              Active
            </p>
            <p class="mb-0 ml-2 text-red-500 font-semibold" v-else>InActive</p>
          </div>
          <v-btn
            color="#3B82F6"
            class="elevation-0"
            height="44"
            @click="$router.push(`/admin/users/settings/${sellerDetail._id}`)"
          >
            <div class="flex items-center">
              <v-icon color="#fff"> mdi-cog </v-icon>
              <p class="mb-0 ml-2 text-sm text-white font-semibold capitalize">
                Payment Settings
              </p>
            </div>
          </v-btn>
        </div>
      </div>
    </div>
    <div class="mt-4">
      <div class="grid grid-cols-12 gap-6">
        <div class="col-span-12 md:col-span-3 py-3 px-6 bg-white rounded">
          <div class="flex items-center">
            <div class="bg-emerald-50 rounded py-2 px-3">
              <v-icon color="#13C296"> mdi-cash-multiple </v-icon>
            </div>
            <div class="ml-2">
              <p class="mb-0 font-medium text-neutral-900 leading-5">Profit</p>
            </div>
          </div>
          <div class="mt-5 flex items-end">
            <p class="mb-0 text-2xl text-gray-900">
              ${{stats.profit && $utils.formatCurrencyFloat(stats.profit)}}
            </p>
          </div>
        </div>
        <div class="col-span-12 md:col-span-3 py-3 px-6 bg-white rounded">
          <div class="flex items-center">
            <div class="bg-blue-50 rounded py-2 px-3">
              <v-icon color="#3B82F6"> mdi-shopping-outline </v-icon>
            </div>
            <div class="ml-2">
              <p class="mb-0 font-medium text-neutral-900 leading-5">
                Sale Revenue
              </p>
            </div>
          </div>
          <div class="mt-5 flex items-end">
            <p class="mb-0 text-2xl text-gray-900">
              ${{stats.amount && $utils.formatCurrencyFloat(stats.amount)}}
            </p>
          </div>
        </div>
        <div class="col-span-12 md:col-span-3 py-3 px-6 bg-white rounded">
          <div class="flex items-center">
            <div class="bg-emerald-50 rounded py-2 px-3">
              <v-icon color="#13C296"> mdi-currency-usd </v-icon>
            </div>
            <div class="ml-2">
              <p class="mb-0 font-medium text-neutral-900 leading-5">
                Product Cost
              </p>
            </div>
          </div>
          <div class="mt-5 flex items-end">
            <p class="mb-0 text-2xl text-gray-900">
              ${{stats.productCost &&
              $utils.formatCurrencyFloat(stats.productCost)}}
            </p>
          </div>
        </div>
        <div class="col-span-12 md:col-span-3 py-3 px-6 bg-white rounded">
          <div class="flex items-center">
            <div class="bg-blue-50 rounded py-2 px-3">
              <v-icon color="#3B82F6"> mdi-list-box </v-icon>
            </div>
            <div class="ml-2">
              <p class="mb-0 font-medium text-neutral-900 leading-5">Order</p>
            </div>
          </div>
          <div class="mt-5 flex items-end">
            <p class="mb-0 text-2xl text-gray-900">
              {{stats.order && $utils.formatCurrencyFloat(stats.order)}}
            </p>
          </div>
        </div>
      </div>
    </div>
    <div class="mt-6">
      <div class="">
        <v-tabs
          v-model="tab"
          background-color="transparent"
          color="#076CE3"
          show-arrows
        >
          <v-tab>
            <p class="mb-0 text-none fsize-14 !font-semibold">General Info</p>
          </v-tab>
          <v-tab>
            <p class="mb-0 text-none fsize-14 !font-semibold">Stores</p>
          </v-tab>
          <v-tab>
            <p class="mb-0 text-none fsize-14 !font-semibold">
              Payment Methods
            </p>
          </v-tab>
        </v-tabs>
        <v-divider></v-divider>
        <v-tabs-items v-model="tab" class="!bg-transparent !ml-0" touchless>
          <v-tab-item class="!bg-transparent">
            <div class="bg-transparent mt-2">
              <div
                class="bg-white border border-solid border-gray-200 pa-4 sm:w-full md:w-1/2"
              >
                <div class="grid grid-cols-12 mt-4">
                  <div class="col-span-12 md:col-span-4 flex items-center">
                    <div class="bg-gray-100 pa-2">
                      <v-icon> mdi-store </v-icon>
                    </div>
                    <p
                      class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
                    >
                      Seller Name:
                    </p>
                  </div>
                  <div class="col-span-12 md:col-span-8 flex items-center">
                    <p class="mb-0 text-sm text-gray-900 leading-5">
                      {{sellerDetail.name}}
                    </p>
                  </div>
                </div>
                <div class="grid grid-cols-12 mt-4">
                  <div class="col-span-12 md:col-span-4 flex items-center">
                    <div class="bg-gray-100 pa-2">
                      <v-icon> mdi-gmail </v-icon>
                    </div>
                    <p
                      class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
                    >
                      Email:
                    </p>
                  </div>
                  <div class="col-span-12 md:col-span-8 flex items-center">
                    <p class="mb-0 text-sm text-gray-900 leading-5">
                      {{sellerDetail.email}}
                    </p>
                  </div>
                </div>
                <div class="grid grid-cols-12 mt-4">
                  <div class="col-span-12 md:col-span-4 flex items-center">
                    <div class="bg-gray-100 pa-2">
                      <v-icon> mdi-phone </v-icon>
                    </div>
                    <p
                      class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
                    >
                      Phone Number:
                    </p>
                  </div>
                  <div class="col-span-12 md:col-span-8 flex items-center">
                    <p class="mb-0 text-sm text-gray-900 leading-5">
                      {{sellerDetail.phoneNumber}}
                    </p>
                  </div>
                </div>
                <div class="grid grid-cols-12 mt-4">
                  <div class="col-span-12 md:col-span-4 flex items-center">
                    <div class="bg-gray-100 pa-2">
                      <v-icon> mdi-gmail </v-icon>
                    </div>
                    <p
                      class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
                    >
                      Email support:
                    </p>
                  </div>
                  <div class="col-span-12 md:col-span-8 flex items-center">
                    <p class="mb-0 text-sm text-gray-900 leading-5">
                      {{sellerDetail.supportEmail}}
                    </p>
                  </div>
                </div>
                <div class="grid grid-cols-12 mt-4">
                  <div class="col-span-12 md:col-span-4 flex items-center">
                    <div class="bg-gray-100 pa-2">
                      <v-icon> mdi-calendar-text </v-icon>
                    </div>
                    <p
                      class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
                    >
                      Joined Date:
                    </p>
                  </div>
                  <div class="col-span-12 md:col-span-8 flex items-center">
                    <p class="mb-0 text-sm text-gray-900 leading-5">
                      {{sellerDetail.createdAt &&
                      $utils.formatDateCreatedAt(sellerDetail.createdAt)}}
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </v-tab-item>
          <v-tab-item class="!bg-transparent mt-2">
            <div class="bg-transparent">
              <Store :tab.sync="tab" />
            </div>
          </v-tab-item>
          <v-tab-item class="!bg-transparent mt-2">
            <div class="bg-transparent">
              <PaymentMethod :tab.sync="tab" />
            </div>
          </v-tab-item>
        </v-tabs-items>
      </div>
    </div>
  </div>
</div>
